#include <iostream>

#include <TROOT.h>
#include <TStopwatch.h>
#include <TFile.h>
#include <TString.h>

#include "FemtoDstAnalyzer_PID_QA.C"

int main(int argc, char** argv)
{
  TString inFileName, outFileName, pidFileName;
  TStopwatch timer;
  if (argc < 5)
  {
    std::cerr << "./pidQA -i INPUTFILE -o OUTPUTFILE -pid" << std::endl;
    return 10;
  }

  for (int i=1;i<argc;i++)
  {
    if (std::string(argv[i]) != "-i" &&
        std::string(argv[i]) != "-o" &&
	std::string(argv[i]) != "-pid")
    {
      std::cerr << "\nUnknown parameter: " << argv[i] << std::endl;
      return 11;
    }
    else
    {
      if (std::string(argv[i]) == "-i" && i != argc-1)
      {
        inFileName = TString(argv[++i]);
      }
      if (std::string(argv[i]) == "-i" && i == argc-1)
      {
        std::cerr << "\nInput file was not specified!" << std::endl;
	return 12;
      }
      if (std::string(argv[i]) == "-o" && i != argc-1)
      {
        outFileName = TString(argv[++i]);
      }
      if (std::string(argv[i]) == "-o" && i == argc-1)
      {
        std::cerr << "\nOutput file was not specified!" << std::endl;
	return 13;
      }
      if (std::string(argv[i]) == "-pid" && i != argc-1)
      {
        pidFileName = TString(argv[++i]);
      }
      if (std::string(argv[i]) == "-pid" && i == argc-1)
      {
        std::cerr << "\nOutput file was not specified!" << std::endl;
	return 13;
      }
    }
  }
  if (inFileName == "" || outFileName == "" || pidFileName == "")
  {
    std::cerr << "\nInput/Output file has not been set properly!" << std::endl;
    return 14;
  }

  FemtoDstAnalyzer_PID_QA(inFileName.Data(),outFileName.Data());

  return 0;
}

